<ng-container [ngSwitch]="type">
  <ng-container *ngSwitchCase="skeleton.Picture">

    <div class="card-image  pulsate">
      <ng-miam-icon [width]="80" [height]="64" primaryColor="var(--m-color-grey-text-dark)" [iconName]="icon.Picture"></ng-miam-icon>
    </div>
  </ng-container>

  <ng-container *ngSwitchCase="skeleton.Text">
    <div class="skeleton-title text pulsate"></div>
    <div class="skeleton-subtitle text pulsate"></div>
  </ng-container>

  <ng-container *ngSwitchCase="skeleton.IconWithInfo">
    <div class="centered-row">
      <div class="dot text pulsate"></div>
      <div class="skeleton-small text pulsate"></div>
    </div>
  </ng-container>
  <ng-container *ngSwitchDefault>
    <div class="skeleton-subtitle text pulsate"></div>
  </ng-container>
</ng-container>